org.apache.catalina.core

## Class ApplicationMappingImpl

- java.lang.Object
- - org.apache.catalina.core.ApplicationMappingImpl

-     public class ApplicationMappingImpl
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationMappingImpl(String matchValue, String pattern, ApplicationMappingMatch mappingType, String servletName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationMappingMatch` | `getMappingMatch()`
    `String` | `getMatchValue()`
    `String` | `getPattern()`
    `String` | `getServletName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationMappingImpl

          public ApplicationMappingImpl(String matchValue,
                                String pattern,
                                ApplicationMappingMatch mappingType,
                                String servletName)

  - ### Method Detail

    - #### getMatchValue

          public String getMatchValue()

    - #### getPattern

          public String getPattern()

    - #### getMappingMatch

          public ApplicationMappingMatch getMappingMatch()

    - #### getServletName

          public String getServletName()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.